import processing.pdf.*;

float r = 0;
float xpo = 0; 
float ypo = 0;
float xgo = 3;
float ygo = 3;
PFont font;


void setup() {
  size(700, 800);
  font = createFont("AvenirNextLTPro-Bold-25.vlw", 12);
  textFont(font);

  beginRecord(PDF, "B599353_sumi_Joo.pdf");
}

void draw() {
  background(255);
  noStroke();
  translate(width/2, height/2+30);
  pushMatrix();
  rotate(r);
  fill(#1961D1, 190);

  for (float i =0; i <500; i +=1) {
    rotate(0.1);
    triangle(i, i, i-3-xpo, i-10-xpo, 0, -1);
  }

  xpo = xpo + xgo;
  ypo = ypo + ygo;

  xpo = lerp(xpo, mouseX, 0.05);
  ypo = lerp(ypo, mouseY, 0.05);


  if (xpo >= 100) {
    xgo = -10;
  }   
  if (ypo >=100) {
    ygo = -3;
  }

  popMatrix();
  r +=0.02;

  fill(255);
  rect(-380, -430, width, 80);
  rect(-380, 320, width, 50);
  rect(-350, -350, 50, height);
  rect(300, -430, 50, height);
  fill(0);

  textFont(font, 30);
  text("dizzy", -290, -370);
  textFont(font, 18);
  text("B599353 sumi Joo", 135, 350);


  endRecord();
}